import { defineStore } from 'pinia'
import { ref, reactive } from 'vue'
import { usePiyangoStore } from './piyangoStore'

export const usePiyangoItirazStore = defineStore('piyangoItirazStore', () => {
  const piyangoStore = usePiyangoStore()

  const piyangoItirazBaseForm = reactive<Record<string, any>>({
    itirazTarihi: '',
    itirazEden: '',
    aciklama: '',
    dosya: null,
    durum: null,
    cekilisId: piyangoStore.selectedLottery,
    surecTipiId: null
  })
  const piyangoItirazForm = reactive<Record<string, any>>({})
  const piyangoItirazSafeForm = reactive<Record<string, any>>({})
  const isUpdate = ref<boolean>(false)
  const refreshList = ref<boolean>(false)
  const itirazPanel = ref<boolean>(false)

  const ResetForm = () =>{
    Object.assign(piyangoItirazForm, piyangoItirazBaseForm)
  }
  
  return {
    piyangoItirazBaseForm,
    piyangoItirazForm,
    piyangoItirazSafeForm,
    isUpdate,
    refreshList,
    itirazPanel,
    ResetForm
  }
})
